<?php
$attributes = '';
if ($args['id']) {
    $attributes .= ' id="' . $args['id'] . '" ';
}

if ($args['name']) {
    $attributes .= ' name="' . $args['name'] . '" ';
}

if ($args['placeholder']) {
    $attributes .= ' placeholder="' . $args['placeholder'] . '" ';
}

if ($args['class']) {
    $attributes .= ' class="' . $args['class'] . '" ';
} else {
    $attributes .= ' class="regular-text" ';
}

if ($args['style']) {
    $attributes .= ' style="' . $args['style'] . '" ';
}
if ($args['required']) {
    $attributes .= ' required';
}
if ($args['value']) {
    $attributes .= ' value="' . $args['value'] . '"';
}

if ($args['readonly']) {
    $attributes .= ' readonly';
}

$conditional = salesloo_field_get_conditional_data($args);

?>
<div class="salesloo-field <?php echo $args['direction']; ?>" <?php echo implode(' ', $conditional); ?>>
    <div class="salesloo-field-label">
        <label><?php echo $args['label']; ?></label>
    </div>
    <div class="salesloo-field-input">
        <div class="salesloo-field__color_picker">
            <?php echo $args['before']; ?>
            <input type="text" <?php echo $attributes; ?>>
            <?php echo $args['after']; ?>
        </div>
        <p class="description"><?php echo $args['description']; ?></p>
    </div>
</div>